<template>

  <!-- 主体部分 -->
  <div class="xl:w-screen-xl m-auto py-4 mt-20">
    <el-page-header :icon="ArrowLeft" @back="goBack">
      <template #content>
        <span class="text-large font-600 mr-3"> {{ page.title }} </span>
      </template>
      <template #extra>
        <div class="flex items-center">
          <el-select v-model="value" clearable placeholder="筛选" style="width: 200px">
            <el-option
                v-for="item in options"
                :key="item.value"
                :label="item.label"
                :value="item.value"
            />
          </el-select>
        </div>
      </template>
      <el-row :gutter="24" id="container" class="clearfix">
        <el-col v-for="(item,index) in list" :key="index" :span="6" class="left">
          <el-card shadow="hover" :body-style="{ padding: '0px' }" class=" hover:bg-gray-50 cursor-pointer" @click="navigateTo(`/item/${item.articleId}.html`)">
            <div class="flex-1 px-4 py-5 sm:p-6 !p-4">
              <div class="text-gray-700 dark:text-white text-base font-semibold  flex gap-1.5">
                <el-avatar
                    :src="item.image" shape="square" :size="44" style="background-color: white;"/>
                <div class="flex-1 text-xl cursor-pointer flex flex-col">
                  {{ item.title }}
                  <sapn class="text-xs text-gray-400">site.websoft.top</sapn>
                </div>
              </div>
<!--              <div class="flex items-center gap-1.5 py-2 text-gray-500 justify-between">-->
<!--                <div class="text-gray-500 line-clamp-2">{{ item.comments }}</div>-->
<!--              </div>-->
<!--              <div class="button-group flex justify-between items-center mt-3 text-sm">-->
<!--                <el-space class="flex items-end">-->
<!--                  <div class="text-gray-400 gap-1 flex items-center"><el-icon><View /></el-icon><span>{{ getViews(item) }}</span></div>-->
<!--                </el-space>-->
<!--                <el-button>控制台</el-button>-->
<!--              </div>-->
            </div>
          </el-card>
        </el-col>
      </el-row>
    </el-page-header>

    <Pagination :total="total" @done="search" />
  </div>

</template>
<script setup lang="ts">
import Banner from "@/components/Banner.vue";
import { ArrowLeft,View } from '@element-plus/icons-vue'
import { ElNotification as notify } from 'element-plus'
import {useConfigInfo, useLayout, usePage} from "~/composables/configState";
import type {CmsNavigation} from "~/api/cms/cmsNavigation/model";
import type {CmsArticle, CmsArticleParam} from "~/api/cms/cmsArticle/model";
import type { ComponentSize } from 'element-plus'
import { ElNotification } from 'element-plus'
import type { TabsPaneContext } from 'element-plus'
import { h } from 'vue'
import dayjs from "dayjs";
import {detail, getNavIdByParamsId, navTo, paramsId} from "~/utils/common";
import Left from "~/components/Left.vue";
import {getCmsNavigation, listCmsNavigation} from "~/api/cms/cmsNavigation";
import {pageCmsArticle} from "~/api/cms/cmsArticle";

const route = useRoute();
const navId = ref();
// 页面信息
const list = ref<CmsArticle[]>([]);
const i18n = useI18n();
const category = ref<CmsNavigation[]>([]);
const total = ref(0);
const activeName = ref('2839');

// 获取状态
const page = usePage();
const layout = useLayout();

// 搜索表单
const where = reactive<CmsArticleParam>({
  keywords: '',
  page: 1,
  limit: 20,
  status: 0,
  parentId: undefined,
  categoryId: undefined,
  lang: i18n.locale.value
});

const goBack = () => {
  console.log('go back')
  notify('Back')
  route.back();
}

// 加载页面数据
const reload = async () => {
  await getCmsNavigation(navId.value).then(data => {
    page.value = data;
    layout.value.banner = data.banner;

    // seo
    useSeoMeta({
      description: data.comments || data.title,
      keywords: data.title,
      titleTemplate: `${data?.title}` + ' - %s',
    })

    // 二级栏目分类
    listCmsNavigation({
      parentId: data.parentId == 0 ? data.navigationId : data.parentId
    }).then(navigation => {
      category.value = navigation;
      // 加载文章列表
      where.categoryId = page.value.navigationId;
      pageCmsArticle(where).then(response => {
        if(response){
          total.value = response.count;
          list.value = response.list;
        }
      })
    })
  }).catch(() => {})

}

/**
 * 搜索
 * @param data
 */
const search = (data: CmsArticleParam) => {
  where.page = data.page;
  reload();
}

const handleClick = (tab: TabsPaneContext, event: Event) => {
  console.log(tab, event)
}
const value = ref('')
const options = [
  {
    value: 'Option1',
    label: 'Option1',
  },
  {
    value: 'Option2',
    label: 'Option2',
  },
  {
    value: 'Option3',
    label: 'Option3',
  },
  {
    value: 'Option4',
    label: 'Option4',
  },
  {
    value: 'Option5',
    label: 'Option5',
  },
]

watch(
    () => route.params.id,
    (id) => {
      navId.value = getNavIdByParamsId(id);
      reload();
    },
    { immediate: true }
);
</script>
<style lang="scss">
.right .content img{
  width: auto !important;
}
.demo-tabs > .el-tabs__content {
  padding: 32px;
  color: #6b778c;
  font-size: 32px;
  font-weight: 600;
}
</style>
